Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] main/gnupg: enable bzip2 support

Sören Tempel
Details
Message ID
<1450819687-26932-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1450819687
DKIM signature
missing
Download raw message
Patch: +3 -2
---
 main/gnupg/APKBUILD | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/main/gnupg/APKBUILD b/main/gnupg/APKBUILD
index 0dcd013..23d9837 100644
--- a/main/gnupg/APKBUILD
+++ b/main/gnupg/APKBUILD
@@ -11,7 +11,7 @@ license="GPL"
 options=""
 depends="pinentry"
 makedepends="curl-dev libksba-dev libgcrypt-dev libgpg-error-dev
-	npth-dev zlib-dev libassuan-dev openldap-dev"
+	npth-dev zlib-dev libassuan-dev openldap-dev bzip2-dev"
 subpackages="$pkgname-doc"
 source="ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$_ver.tar.bz2
 	0001-Include-sys-select.h-for-FD_SETSIZE.patch
@@ -38,13 +38,14 @@ build() {
 		--infodir=/usr/share/info \
 		--localstatedir=/var \
 		--disable-nls \
+		--enable-bzip2 \
 		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 
 	# install compat symlink
 	ln -s gpg2  "$pkgdir"/usr/bin/gpg
-- 
2.6.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20151223081655.7bfba068@vostro>
In-Reply-To
<1450819687-26932-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1450851415
DKIM signature
missing
Download raw message
On Tue, 22 Dec 2015 22:28:07 +0100
Sören Tempel <soeren+git@soeren-tempel.net> wrote:

>  main/gnupg/APKBUILD | 5 +++--
>  1 file changed, 3 insertions(+), 2 deletions(-)

Applied. I bumped pkgrel for you.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---